#! /usr/bin/env node

const params = process.argv.slice(4);
const myModule = require(process.argv[2]);

if (!myModule) {
  throw new Error(`No module named ${myModule} found`);
}
if (!myModule[process.argv[3]]) {
  throw new Error(`${process.argv[3]} is not a function exported from ${myModule}`);
}

const returnVal = myModule[process.argv[3]](...params);

var fs = require('fs');
fs.writeFile("./RETURN_VAL", returnVal , function(err) {
    if(err) {
        return console.log(err);
    }

    console.log("The file was saved!");
});
